import { credentialClient } from '../models/type';
import { Autotask, AutotaskDeleteResponse, AutotaskListResponse, AutotaskRunBase, AutotaskRunListResponse, AutotaskRunResponse, CreateAutotaskRequest, data, SourceFiles, UpdateAutotaskRequest } from "./models/types";
export default class AutotaskClients {
    private client;
    constructor(credentialClient: credentialClient);
    list(): Promise<AutotaskListResponse>;
    getEncodedZippedCodeFromFolder(code: string): Promise<string>;
    create(CreateAutotaskRequest: CreateAutotaskRequest): Promise<Autotask>;
    get(autoTaskId: string): Promise<Autotask>;
    update(UpdateAutotaskRequest: UpdateAutotaskRequest): Promise<Autotask>;
    delete(autoTaskId: string): Promise<AutotaskDeleteResponse>;
    updateCodeFromFolder(autoTaskId: string, code: string): Promise<void>;
    updateCodeFromSources(autoTaskId: string, code: SourceFiles): Promise<void>;
    runAutotask(autoTaskId: string, data: data): Promise<AutotaskRunBase>;
    listAutotaskRuns(autoTaskId: string): Promise<AutotaskRunListResponse>;
    getAutotaskRun(autoTaskRunId: string): Promise<AutotaskRunResponse>;
}
//# sourceMappingURL=index.d.ts.map