"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const defender_base_client_1 = require("defender-base-client");
const abi_1 = require("@ethersproject/abi");
class Utils {
    fromChainId(chainId) {
        const network = defender_base_client_1.fromChainId(chainId) || ' ';
        return defender_base_client_1.isValidNetwork(network) ? network : undefined;
    }
    getAbiInterfaceParams(AbiInterfaceParams) {
        const { abiInterface, name, type } = AbiInterfaceParams;
        const eventParams = {
            functionGet: "getEvent",
            consult: "events",
            signatures: "eventSignature",
        };
        const functionParams = {
            functionGet: "getFunction",
            consult: "functions",
            signatures: "functionSignature",
        };
        let AbiInterfaceParamsResponse = {
            name,
            signature: {}
        };
        const { functionGet, consult, signatures } = type === "event" ? eventParams : functionParams;
        AbiInterfaceParamsResponse.inputs = abiInterface[functionGet](name).inputs.map(({ name, type }) => {
            return { name, type };
        });
        AbiInterfaceParamsResponse.signature[signatures] = Object.keys(abiInterface[consult]).find((e) => e.split("(")[0] === name) || '';
        AbiInterfaceParamsResponse.fragment = AbiInterfaceParamsResponse.signature[signatures] || '';
        return AbiInterfaceParamsResponse;
    }
    AbiJsonString(abiInterface) {
        return abiInterface.format(abi_1.FormatTypes.json);
    }
}
exports.default = Utils;
//# sourceMappingURL=index.js.map