"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("hardhat/config");
const plugins_1 = require("hardhat/plugins");
const AdminClient_1 = __importDefault(require("./OpenzeppelinDefender/AdminClient"));
// This import is needed to let the TypeScript compiler know that it should include your type
// extensions in your npm package's types file.
require("./type-extensions");
const AutotaskClient_1 = __importDefault(require("./OpenzeppelinDefender/AutotaskClient"));
const RelayClient_1 = __importDefault(require("./OpenzeppelinDefender/RelayClient"));
const SentinelClient_1 = __importDefault(require("./OpenzeppelinDefender/SentinelClient"));
const Utils_1 = __importDefault(require("./OpenzeppelinDefender/Utils"));
const KvstoreClient_1 = __importDefault(require("./OpenzeppelinDefender/KvstoreClient"));
config_1.extendConfig((config, userConfig) => {
});
config_1.extendEnvironment((hre) => {
    hre.OpenzeppelinDefender = plugins_1.lazyObject(() => {
        const Credential = hre.config.OpenzeppelinDefenderCredential;
        const AdminClient = new AdminClient_1.default(Credential);
        const AutoTaskClint = new AutotaskClient_1.default(Credential);
        const RelayClient = new RelayClient_1.default(Credential);
        const SentinelClient = new SentinelClient_1.default(Credential);
        const KvstoreClient = new KvstoreClient_1.default();
        const Util = new Utils_1.default();
        return {
            AdminClient,
            AutoTaskClint,
            RelayClient,
            SentinelClient,
            KvstoreClient,
            Utils: Util
        };
    });
});
//# sourceMappingURL=index.js.map