import "hardhat/types/config";
import "hardhat/types/runtime";
import AdminClients from "./OpenzeppelinDefender/AdminClient";
import AutotaskClients from "./OpenzeppelinDefender/AutotaskClient";
import KvstoreClients from "./OpenzeppelinDefender/KvstoreClient";
import RelayClients from "./OpenzeppelinDefender/RelayClient";
import SentinelClients from "./OpenzeppelinDefender/SentinelClient";
import Utils from "./OpenzeppelinDefender/Utils";
interface OpenzeppelinDefenderCredential {
    apiKey: string;
    apiSecret: string;
}
declare module "hardhat/types/config" {
    interface HardhatUserConfig {
        OpenzeppelinDefenderCredential?: OpenzeppelinDefenderCredential;
    }
    interface HardhatConfig {
        OpenzeppelinDefenderCredential: OpenzeppelinDefenderCredential;
    }
}
declare module "hardhat/types/runtime" {
    interface HardhatRuntimeEnvironment {
        OpenzeppelinDefender: {
            AdminClient: AdminClients;
            AutoTaskClint: AutotaskClients;
            RelayClient: RelayClients;
            SentinelClient: SentinelClients;
            KvstoreClient: KvstoreClients;
            Utils: Utils;
        };
    }
}
export {};
//# sourceMappingURL=type-extensions.d.ts.map